// DIODlg.h : header file
//

#if !defined(AFX_DIODLG_H__5264DA1C_4729_44C5_8F04_AE5C23F84D61__INCLUDED_)
#define AFX_DIODLG_H__5264DA1C_4729_44C5_8F04_AE5C23F84D61__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDIODlg dialog

class CDIODlg : public CDialog
{
// Construction
public:
	WORD GetDlgItemHex(int nID);
	CDIODlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDIODlg)
	enum { IDD = IDD_DIO_DIALOG };
	CComboBox	m_IDC_COMBO_InputPort;
	CComboBox	m_IDC_COMBO_OutputPort;
	CComboBox	m_IDC_COMBO_SelectBoard;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDIODlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDIODlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnDo();
	afx_msg void OnSelchangeCOMBOSelectBoard();
	afx_msg void OnBtnDi();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DIODLG_H__5264DA1C_4729_44C5_8F04_AE5C23F84D61__INCLUDED_)
